﻿using MongoDB.Bson;
using MongoDB.Driver;
using ManagementPage.Models;
using MongoDB.Bson.Serialization;

namespace ManagementPage.Database
{
    public class MongoDbClient
    {
        private const string _collectionName = "Main";
        private const string _databaseName = "Environment";
        private const string _uri = "mongodb://192.168.0.159:27017";

        private readonly IMongoDatabase _database;
        private readonly MongoClient _client;
        public IMongoCollection<EnvironmentData> collection {  get; private set; }

        public MongoDbClient()
        {
            _client = new MongoClient(_uri);
            _database = _client.GetDatabase(_databaseName);
            BsonClassMap.RegisterClassMap<EnvironmentData>(cm =>
            {
                cm.AutoMap();
            });

            collection = _database.GetCollection<EnvironmentData>(_collectionName);
        }
    }
}
