using ManagementPage.Database;
using ManagementPage.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using MongoDB.Bson;
using MongoDB.Bson.IO;
using MongoDB.Bson.Serialization;
using MongoDB.Driver;

namespace ManagementPage.Pages
{
    public class UserHomeModel : PageModel
    {
        public List<EnvironmentData> data;

        private readonly MongoDbClient _dbClient;
        public UserHomeModel(MongoDbClient dbClient)
        {
            data = new List<EnvironmentData>();
            _dbClient = dbClient;
        }
        public async Task OnGetAsync()
        {
            using var cursor = await _dbClient.collection.FindAsync(new BsonDocument());
            data.AddRange(await cursor.ToListAsync());
        }
    }
}
